Skip to content
Ordo
Search
Ctrl
K
Cancel
GitHub
Select theme
Dark
Light
Auto
Getting Started
Concepts
Reference
Overview
CLI
ordo
ordo-agent
ordo-orchestrator
ordo-state
Management API
Overview
status
Overview
`POST /api/v1/discover` — trigger a UDP discovery broadcast.
`GET /api/v1/status` — return protocol version and health status.
auth
Overview
`POST /api/v1/auth/challenge` — issue a nonce for the operator to sign.
`POST /api/v1/auth/verify` — verify the signed nonce and issue a session token.
operators
Overview
`GET /api/v1/operators` — list operators.
`POST /api/v1/operators` — add a new operator (Admin only).
`GET /api/v1/operators/{operator_id}` — get a single operator.
`DELETE /api/v1/operators/{operator_id}` — remove an operator (Admin only).
agents
Overview
`GET /api/v1/agents` — list agents from the persistent store.
`POST /api/v1/agents/{node_id}` — change an agent's approval status.
`DELETE /api/v1/agents/{node_id}` — remove a rejected agent's record.
`GET /api/v1/agents/{node_id}/attributes` — agent attribute map.
`PUT /api/v1/agents/{node_id}/tags` — replace all tags on an agent.
`PUT /api/v1/agents/{node_id}/tags/{key}` — set a single tag.
`DELETE /api/v1/agents/{node_id}/tags/{key}` — remove a single tag.
`GET /api/v1/tags` — list all distinct tag keys and values.
metrics
Overview
`GET /api/v1/agents/{node_id}/metrics` — metrics history for an agent.
`GET /api/v1/agents/{node_id}/metrics/latest` — latest metrics snapshot.
terminal
Overview
`GET /api/v1/terminal` — list terminal sessions.
`GET /api/v1/terminal/session/{session_id}` — get session metadata.
`DELETE /api/v1/terminal/session/{session_id}` — close a terminal session.
`GET /api/v1/terminal/session/{session_id}/transcript` — download transcript.
`POST /api/v1/terminal/{node_id}` — open a terminal session.
maintenance
Overview
`GET /api/v1/maintenance-windows` — list all maintenance windows.
`POST /api/v1/maintenance-windows` — create a maintenance window (Admin only).
`GET /api/v1/maintenance-windows/{id}` — get a single maintenance window.
`PUT /api/v1/maintenance-windows/{id}` — update a maintenance window (Admin only). Typically used to end a window early.
`DELETE /api/v1/maintenance-windows/{id}` — delete a maintenance window (Admin only).
channels
Overview
`GET /api/v1/channels` — list notification channels.
`POST /api/v1/channels` — create a notification channel (Admin only).
`GET /api/v1/channels/{id}` — get a single notification channel.
`PUT /api/v1/channels/{id}` — update a notification channel (Admin only).
`DELETE /api/v1/channels/{id}` — delete a notification channel (Admin only).
`POST /api/v1/channels/{id}/test` — send a test notification through a channel (Admin only).
notifications
Overview
`GET /api/v1/notifications` — list notifications for the requesting operator.
`POST /api/v1/notifications/read-all` — mark all notifications as read for the requesting operator.
`POST /api/v1/notifications/{id}/read` — mark a single notification as read for the requesting operator.
modules
Overview
`GET /api/v1/modules` — list all modules.
`POST /api/v1/modules` — upload a module.
`GET /api/v1/modules/{name}` — get a module's details and content.
`DELETE /api/v1/modules/{name}` — delete a module.
assignments
Overview
`GET /api/v1/assignments` — list all assignments.
`POST /api/v1/assignments` — create an assignment.
`GET /api/v1/assignments/{name}` — get a single assignment.
`DELETE /api/v1/assignments/{name}` — delete an assignment.
`POST /api/v1/assignments/{name}/apply` — apply an assignment to every agent its selector currently matches.
`POST /api/v1/assignments/{name}/plan` — plan an assignment against every agent its selector currently matches.
state
Overview
`POST /api/v1/agents/{node_id}/apply` — apply modules to an agent.
`GET /api/v1/agents/{node_id}/drift` — list drift records for an agent.
`POST /api/v1/agents/{node_id}/drift` — drift check against the agent's last successful apply snapshot.
`GET /api/v1/agents/{node_id}/drift/latest` — most recent drift record.
`POST /api/v1/agents/{node_id}/plan` — plan mode for an agent.
`GET /api/v1/agents/{node_id}/state` — believed machine state.
`GET /api/v1/agents/{node_id}/state/operations` — list state operations for a single agent, most recent first.
`GET /api/v1/agents/{node_id}/state/operations/{operation_id}/output` — captured script output for a state operation.
`GET /api/v1/drift/{drift_id}` — fetch a single drift record by ID.
`GET /api/v1/state/operations` — list state operations across all agents, most recent first.
`GET /api/v1/state/operations/{operation_id}` — single operation detail including per-resource results.
secrets
Overview
`GET /api/v1/secrets` — list all secrets (metadata only).
`POST /api/v1/secrets` — create a new secret.
`GET /api/v1/secrets/{name}` — get a single secret's metadata.
`PUT /api/v1/secrets/{name}` — update a secret.
`DELETE /api/v1/secrets/{name}` — delete a secret.
audit
Overview
`GET /api/v1/audit` — query the audit log. Available to any authenticated operator.
`DELETE /api/v1/audit?before=<iso8601>` — manually prune old audit events. Admin only.
`GET /api/v1/audit/retention` — read the current audit retention setting. Available to any authenticated operator.
`PUT /api/v1/audit/retention` — update the audit retention setting. Admin only.
Architecture
GitHub
Select theme
Dark
Light
Auto
Overview
Ordo Orchestrator Management API
0.1.0
Section titled “Ordo Orchestrator Management API 0.1.0”
HTTP management API exposed by the Ordo orchestrator.
Information
License: MIT OR Apache-2.0
OpenAPI version:
3.1.0
Operations
Section titled “ Operations ”
POST
/api/v1/discover
GET
/api/v1/status
POST
/api/v1/auth/challenge
POST
/api/v1/auth/verify
GET
/api/v1/operators
POST
/api/v1/operators
GET
/api/v1/operators/{operator_id}
DELETE
/api/v1/operators/{operator_id}
GET
/api/v1/agents
POST
/api/v1/agents/{node_id}
DELETE
/api/v1/agents/{node_id}
GET
/api/v1/agents/{node_id}/attributes
PUT
/api/v1/agents/{node_id}/tags
PUT
/api/v1/agents/{node_id}/tags/{key}
DELETE
/api/v1/agents/{node_id}/tags/{key}
GET
/api/v1/tags
GET
/api/v1/agents/{node_id}/metrics
GET
/api/v1/agents/{node_id}/metrics/latest
GET
/api/v1/terminal
GET
/api/v1/terminal/session/{session_id}
DELETE
/api/v1/terminal/session/{session_id}
GET
/api/v1/terminal/session/{session_id}/transcript
POST
/api/v1/terminal/{node_id}
GET
/api/v1/maintenance-windows
POST
/api/v1/maintenance-windows
GET
/api/v1/maintenance-windows/{id}
PUT
/api/v1/maintenance-windows/{id}
DELETE
/api/v1/maintenance-windows/{id}
GET
/api/v1/channels
POST
/api/v1/channels
GET
/api/v1/channels/{id}
PUT
/api/v1/channels/{id}
DELETE
/api/v1/channels/{id}
POST
/api/v1/channels/{id}/test
GET
/api/v1/notifications
POST
/api/v1/notifications/read-all
POST
/api/v1/notifications/{id}/read
GET
/api/v1/modules
POST
/api/v1/modules
GET
/api/v1/modules/{name}
DELETE
/api/v1/modules/{name}
GET
/api/v1/assignments
POST
/api/v1/assignments
GET
/api/v1/assignments/{name}
DELETE
/api/v1/assignments/{name}
POST
/api/v1/assignments/{name}/apply
POST
/api/v1/assignments/{name}/plan
POST
/api/v1/agents/{node_id}/apply
GET
/api/v1/agents/{node_id}/drift
POST
/api/v1/agents/{node_id}/drift
GET
/api/v1/agents/{node_id}/drift/latest
POST
/api/v1/agents/{node_id}/plan
GET
/api/v1/agents/{node_id}/state
GET
/api/v1/agents/{node_id}/state/operations
GET
/api/v1/agents/{node_id}/state/operations/{operation_id}/output
GET
/api/v1/drift/{drift_id}
GET
/api/v1/state/operations
GET
/api/v1/state/operations/{operation_id}
GET
/api/v1/secrets
POST
/api/v1/secrets
GET
/api/v1/secrets/{name}
PUT
/api/v1/secrets/{name}
DELETE
/api/v1/secrets/{name}
GET
/api/v1/audit
DELETE
/api/v1/audit
GET
/api/v1/audit/retention
PUT
/api/v1/audit/retention